## golang-gopkg-neurosnap-sentences.v1 1.0.6

=== Makefile ===
BASE_DIR=$(shell echo $$GOPATH)/src/github.com/neurosnap/sentences
BINARY_DIR=./binary
CMD_DIR=./_cmd/sentences

VERSION_FILE=$(BASE_DIR)/VERSION
CURRENT_VERSION=$(shell cat $(VERSION_FILE))

COMMITHASH=$(shell git rev-parse --short HEAD)

.PHONY: english test build cross deploy install bump

test:
	go test ./...

build:
	go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}

get:
	go get ./...
	go get github.com/inconshreveable/mousetrap

cross:
	mkdir -p $(BINARY_DIR)

	GOOS=linux GOARCH=amd64 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_linux-amd64.tar.gz ./sentences

	GOOS=linux GOARCH=386 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_linux-386.tar.gz ./sentences

	GOOS=darwin GOARCH=amd64 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_darwin-amd64.tar.gz ./sentences

	GOOS=darwin GOARCH=386 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_darwin-386.tar.gz ./sentences

	GOOS=windows GOARCH=amd64 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_windows-amd64.tar.gz ./sentences

	GOOS=windows GOARCH=386 go build -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}
	tar -czvf $(BINARY_DIR)/sentences_windows-386.tar.gz ./sentences

deploy: cross
	source ~/virtualenvs/aws/bin/activate
	aws s3 cp ./binary s3://sentence-binaries/ --recursive --exclude "*" --include "*.tar.gz"

install:
	go install -ldflags "-X main.VERSION=$(CURRENT_VERSION) -X main.COMMITHASH=$(COMMITHASH)" ${CMD_DIR}

bump:
	MAJOR=$(word 1, $(subst ., , $(CURRENT_VERSION)))
	MINOR=$(word 2, $(subst ., , $(CURRENT_VERSION)))
	PATCH=$(word 3, $(subst ., , $(CURRENT_VERSION)))
	VER ?= $(MAJOR).$(MINOR).$(shell echo $$(($(PATCH)+1)))

	echo $(VER) > $(VERSION_FILE)

# Compile language specific training data
czech:
	go-bindata -pkg="data" -o data/czech.go data/czech.json

danish:
	go-bindata -pkg="data" -o data/danish.go data/danish.json

dutch:
	go-bindata -pkg="data" -o data/dutch.go data/dutch.json

english:
	go-bindata -pkg="data" -o data/english.go data/english.json

estonian:
	go-bindata -pkg="data" -o data/estonian.go data/estonian.json

finnish:
	go-bindata -pkg="data" -o data/finnish.go data/finnish.json

french:
	go-bindata -pkg="data" -o data/french.go data/french.json

german:
	go-bindata -pkg="data" -o data/german.go data/german.json

greek:
	go-bindata -pkg="data" -o data/greek.go data/greek.json

italian:
	go-bindata -pkg="data" -o data/italian.go data/italian.json

norwegian:
	go-bindata -pkg="data" -o data/norwegian.go data/norwegian.json

polish:
	go-bindata -pkg="data" -o data/polish.go data/polish.json

portugues:
	go-bindata -pkg="data" -o data/potuguese.go data/portuguese.json

slovene:
	go-bindata -pkg="data" -o data/slovene.go data/slovene.json

spanish:
	go-bindata -pkg="data" -o data/spanish.go data/spanish.json

turkish:
	go-bindata -pkg="data" -o data/turkish.go data/turkish.json

=== debian/changelog ===
golang-gopkg-neurosnap-sentences.v1 (1.0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:00:45 +0100

golang-gopkg-neurosnap-sentences.v1 (1.0.6-1) unstable; urgency=medium

  * Initial release (Closes: #871472)

 -- Anthony Fok <foka@debian.org>  Tue, 08 Aug 2017 03:44:33 -0600

=== debian/control ===
Source: golang-gopkg-neurosnap-sentences.v1
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.0.0
Homepage: https://gopkg.in/neurosnap/sentences.v1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gopkg-neurosnap-sentences.v1.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gopkg-neurosnap-sentences.v1.git
XS-Go-Import-Path: gopkg.in/neurosnap/sentences.v1
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-neurosnap-sentences.v1-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Sentence tokenizer for Go
 A golang package that converts a blob of text into a list of sentences.
 .
 This package attempts to support a multitude of languages:
 Czech, Danish, Dutch, English, Estonian, Finnish,
 French, German, Greek, Italian, Norwegian, Polish,
 Portuguese, Slovene, Spanish, Swedish, and Turkish.
 .
 An unsupervised multilingual sentence boundary detection library for golang.
 The goal of this library is to be able to break up any text into a list of
 sentences in multiple languages.  The way the punkt system accomplishes this
 goal is through training the tokenizer with text in that given language.
 Once the likelihoods of abbreviations, collocations, and sentence starters
 are determined, finding sentence boundaries becomes easier.
 .
 There are many problems that arise when tokenizing text into sentences,
 the primary issue being abbreviations.  The punkt system attempts to
 determine whether a word is an abbreviation, an end to a sentence, or even
 both through training the system with text in the given language.
 The punkt system incorporates both token- and type-based analysis on the
 text through two different phases of annotation.
 .
 Original research article:
 http://citeseerx.ist.psu.edu/viewdoc/download;jsessionid=BAE5C34E5C3B9DC60DFC4D93B85D8BB1?doi=10.1.1.85.5017&rep=rep1&type=pdf

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := data test_files

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/src/github.com/neurosnap
	ln -s ../../gopkg.in/neurosnap/sentences.v1 \
		obj-$(DEB_HOST_GNU_TYPE)/src/github.com/neurosnap/sentences
	dh_auto_configure -O--buildsystem=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-gopkg-neurosnap-sentences.v1-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/neurosnap/sentences/tags .*/v?(\d\S*)\.tar\.gz
